version: '3.8'

services:
  web:
    container_name: web
    build:
      context: server/
      dockerfile: Dockerfile
    ports:
      - 5000:5000
    volumes:
      - ./server:/code
    env_file:
      - .env
    depends_on:
      - db
  db:
    image: postgres:13-alpine
    volumes:
      - postgres_data:/var/lib/postgresql/data/
    env_file:
      - .env_db
  nginx:
    image: nginx:alpine
    container_name: nginx
    volumes:
      - ./flask_vue_client/dist:/usr/share/nginx/html
#      - /etc/letsencrypt:/etc/letsencrypt
      - ./nginx.conf:/etc/nginx/conf.d/default.conf:ro
    ports:
      - 80:80
#      - 443:443


volumes:
  postgres_data:
